| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_disstream_info Struct Reference

Aggregated analysis state and statistics for a single DIS stream. More...

`#include <tap-dis-common.h>`

## Public Attributes
disstream_id_t | id
uint8_t | payload_type
const char * | payload_type_str
uint8_t | radio_input_source
uint8_t | transmit_state
uint32_t | packet_count
uint32_t | signal_packet_count
uint32_t | transmitter_packet_count
uint64_t | total_payload_bytes
uint32_t | estimated_lost_packets
uint32_t | first_packet_num
uint32_t | last_packet_num
uint32_t | first_signal_frame_num
uint32_t | last_signal_frame_num
nstime_t | start_rel_time
nstime_t | stop_rel_time
double | max_delta_ms
double | mean_delta_ms
double | max_jitter_ms
double | mean_jitter_ms
bool | transmission_stopped
bool | problem
GPtrArray * | signal_packets
bool | first_timing_packet
uint32_t | timing_packet_count
double | start_arrival_ms
double | prev_arrival_ms
double | prev_nominal_ms
double | first_tx_ms
double | prev_tx_ms
double | filtered_jitter_ms
double | excess_codec_time_ms

## Detailed Description

Aggregated analysis state and statistics for a single DIS stream.

## Member Data Documentation

## ◆ estimated_lost_packets

uint32_t _disstream_info::estimated_lost_packets

Total number of packets estimated as lost during the stream

## ◆ excess_codec_time_ms

double _disstream_info::excess_codec_time_ms

Accumulated excess codec processing time carried over between packets

## ◆ filtered_jitter_ms

double _disstream_info::filtered_jitter_ms

Low-pass filtered jitter estimate used for running mean computation

## ◆ first_packet_num

uint32_t _disstream_info::first_packet_num

Frame number of the first packet in the stream

## ◆ first_signal_frame_num

uint32_t _disstream_info::first_signal_frame_num

Frame number of the first Signal PDU in the stream

## ◆ first_timing_packet

bool _disstream_info::first_timing_packet

True until the first timing reference packet has been processed

## ◆ first_tx_ms

double _disstream_info::first_tx_ms

Transmit timestamp of the first packet in milliseconds

## ◆ id

disstream_id_t _disstream_info::id

Network and radio addressing tuple that uniquely identifies this stream

## ◆ last_packet_num

uint32_t _disstream_info::last_packet_num

Frame number of the last packet in the stream

## ◆ last_signal_frame_num

uint32_t _disstream_info::last_signal_frame_num

Frame number of the last Signal PDU in the stream

## ◆ max_delta_ms

double _disstream_info::max_delta_ms

Maximum inter-packet arrival gap observed, in milliseconds

## ◆ max_jitter_ms

double _disstream_info::max_jitter_ms

Maximum jitter value observed across the stream, in milliseconds

## ◆ mean_delta_ms

double _disstream_info::mean_delta_ms

Mean inter-packet arrival gap across the stream, in milliseconds

## ◆ mean_jitter_ms

double _disstream_info::mean_jitter_ms

Mean jitter value across the stream, in milliseconds

## ◆ packet_count

uint32_t _disstream_info::packet_count

Total number of packets observed in this stream

## ◆ payload_type

uint8_t _disstream_info::payload_type

DIS signal payload type for this stream

## ◆ payload_type_str

const char* _disstream_info::payload_type_str

Human-readable string describing `payload_type`

## ◆ prev_arrival_ms

double _disstream_info::prev_arrival_ms

Arrival time of the most recently processed packet in milliseconds

## ◆ prev_nominal_ms

double _disstream_info::prev_nominal_ms

Expected nominal arrival time of the previous packet in milliseconds

## ◆ prev_tx_ms

double _disstream_info::prev_tx_ms

Transmit timestamp of the most recently processed packet in milliseconds

## ◆ problem

bool _disstream_info::problem

True if any packet in the stream recorded a timing or sequencing anomaly

## ◆ radio_input_source

uint8_t _disstream_info::radio_input_source

DIS radio input source value

## ◆ signal_packet_count

uint32_t _disstream_info::signal_packet_count

Number of DIS Signal PDU packets in this stream

## ◆ signal_packets

GPtrArray* _disstream_info::signal_packets

Ordered array of disstream_packet_t pointers for Signal PDUs

## ◆ start_arrival_ms

double _disstream_info::start_arrival_ms

Arrival time of the first packet in milliseconds

## ◆ start_rel_time

nstime_t _disstream_info::start_rel_time

Relative timestamp of the first packet

## ◆ stop_rel_time

nstime_t _disstream_info::stop_rel_time

Relative timestamp of the last packet

## ◆ timing_packet_count

uint32_t _disstream_info::timing_packet_count

Number of packets processed for timing analysis so far

## ◆ total_payload_bytes

uint64_t _disstream_info::total_payload_bytes

Cumulative payload bytes across all packets

## ◆ transmission_stopped

bool _disstream_info::transmission_stopped

True if a Transmitter PDU indicated the transmission has stopped

## ◆ transmit_state

uint8_t _disstream_info::transmit_state

Current DIS transmitter state value

## ◆ transmitter_packet_count

uint32_t _disstream_info::transmitter_packet_count

Number of DIS Transmitter PDU packets in this stream

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/tap-dis-common.h